#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, m, a, b, t, c;
    scanf("%d%d", &n, &m);
    c=0;
    for (int i=0, i<m, i++)
        scanf("%d%d%d", &a, &b, &t);
        if (b==a)
        {
            c++;
        }
    printf("%d", c);
    return 0;
}